
package net.mcreator.vespamod.client.renderer;

import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.renderer.entity.MobRenderer;
import net.minecraft.client.renderer.entity.EntityRendererProvider;

import net.mcreator.vespamod.entity.IronVespaEntity;
import net.mcreator.vespamod.client.model.ModelVespa1;

public class IronVespaRenderer extends MobRenderer<IronVespaEntity, ModelVespa1<IronVespaEntity>> {
	public IronVespaRenderer(EntityRendererProvider.Context context) {
		super(context, new ModelVespa1(context.bakeLayer(ModelVespa1.LAYER_LOCATION)), 0.5f);
	}

	@Override
	public ResourceLocation getTextureLocation(IronVespaEntity entity) {
		return new ResourceLocation("vespa_mod:textures/entities/ironvespa.png");
	}
}
