
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.vespamod.init;

import net.minecraftforge.registries.RegistryObject;
import net.minecraftforge.registries.ForgeRegistries;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.fml.event.lifecycle.FMLCommonSetupEvent;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.event.entity.EntityAttributeCreationEvent;

import net.minecraft.world.entity.MobCategory;
import net.minecraft.world.entity.EntityType;
import net.minecraft.world.entity.Entity;

import net.mcreator.vespamod.entity.NetheriteVespaEntity;
import net.mcreator.vespamod.entity.IronVespaEntity;
import net.mcreator.vespamod.entity.GoldVespaEntity;
import net.mcreator.vespamod.entity.DiamondVespaEntity;
import net.mcreator.vespamod.VespaModMod;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD)
public class VespaModModEntities {
	public static final DeferredRegister<EntityType<?>> REGISTRY = DeferredRegister.create(ForgeRegistries.ENTITY_TYPES, VespaModMod.MODID);
	public static final RegistryObject<EntityType<IronVespaEntity>> IRON_VESPA = register("iron_vespa",
			EntityType.Builder.<IronVespaEntity>of(IronVespaEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(IronVespaEntity::new)

					.sized(0.6f, 0.6f));
	public static final RegistryObject<EntityType<GoldVespaEntity>> GOLD_VESPA = register("gold_vespa",
			EntityType.Builder.<GoldVespaEntity>of(GoldVespaEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(GoldVespaEntity::new)

					.sized(0.6f, 0.6f));
	public static final RegistryObject<EntityType<DiamondVespaEntity>> DIAMOND_VESPA = register("diamond_vespa",
			EntityType.Builder.<DiamondVespaEntity>of(DiamondVespaEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(DiamondVespaEntity::new)

					.sized(0.6f, 0.6f));
	public static final RegistryObject<EntityType<NetheriteVespaEntity>> NETHERITE_VESPA = register("netherite_vespa",
			EntityType.Builder.<NetheriteVespaEntity>of(NetheriteVespaEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(NetheriteVespaEntity::new)

					.sized(0.6f, 0.6f));

	private static <T extends Entity> RegistryObject<EntityType<T>> register(String registryname, EntityType.Builder<T> entityTypeBuilder) {
		return REGISTRY.register(registryname, () -> (EntityType<T>) entityTypeBuilder.build(registryname));
	}

	@SubscribeEvent
	public static void init(FMLCommonSetupEvent event) {
		event.enqueueWork(() -> {
			IronVespaEntity.init();
			GoldVespaEntity.init();
			DiamondVespaEntity.init();
			NetheriteVespaEntity.init();
		});
	}

	@SubscribeEvent
	public static void registerAttributes(EntityAttributeCreationEvent event) {
		event.put(IRON_VESPA.get(), IronVespaEntity.createAttributes().build());
		event.put(GOLD_VESPA.get(), GoldVespaEntity.createAttributes().build());
		event.put(DIAMOND_VESPA.get(), DiamondVespaEntity.createAttributes().build());
		event.put(NETHERITE_VESPA.get(), NetheriteVespaEntity.createAttributes().build());
	}
}
