package net.mcreator.vespamod.client.model;

import net.minecraft.world.entity.Entity;
import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.model.geom.builders.PartDefinition;
import net.minecraft.client.model.geom.builders.MeshDefinition;
import net.minecraft.client.model.geom.builders.LayerDefinition;
import net.minecraft.client.model.geom.builders.CubeListBuilder;
import net.minecraft.client.model.geom.builders.CubeDeformation;
import net.minecraft.client.model.geom.PartPose;
import net.minecraft.client.model.geom.ModelPart;
import net.minecraft.client.model.geom.ModelLayerLocation;
import net.minecraft.client.model.EntityModel;

import com.mojang.blaze3d.vertex.VertexConsumer;
import com.mojang.blaze3d.vertex.PoseStack;

// Made with Blockbench 4.9.4
// Exported for Minecraft version 1.17 or later with Mojang mappings
// Paste this class into your mod and generate all required imports
public class ModelVespa1<T extends Entity> extends EntityModel<T> {
	// This layer location should be baked with EntityRendererProvider.Context in
	// the entity renderer and passed into this model's constructor
	public static final ModelLayerLocation LAYER_LOCATION = new ModelLayerLocation(new ResourceLocation("vespa_mod", "model_vespa_1"), "main");
	public final ModelPart bb_main;

	public ModelVespa1(ModelPart root) {
		this.bb_main = root.getChild("bb_main");
	}

	public static LayerDefinition createBodyLayer() {
		MeshDefinition meshdefinition = new MeshDefinition();
		PartDefinition partdefinition = meshdefinition.getRoot();
		PartDefinition bb_main = partdefinition.addOrReplaceChild("bb_main",
				CubeListBuilder.create().texOffs(16, 30).addBox(-1.0F, -6.0F, -10.5F, 2.0F, 6.0F, 6.0F, new CubeDeformation(0.0F)).texOffs(0, 27).addBox(-1.0F, -6.0F, 4.5F, 2.0F, 6.0F, 6.0F, new CubeDeformation(0.0F)).texOffs(0, 15)
						.addBox(-2.0F, -6.0F, -4.5F, 4.0F, 3.0F, 9.0F, new CubeDeformation(0.0F)).texOffs(0, 0).addBox(-3.0F, -11.0F, 2.5F, 6.0F, 6.0F, 9.0F, new CubeDeformation(0.0F)).texOffs(21, 0)
						.addBox(-3.0F, -9.0F, -4.5F, 6.0F, 4.0F, 4.0F, new CubeDeformation(0.0F)).texOffs(32, 18).addBox(-3.0F, -9.0F, -8.5F, 6.0F, 3.0F, 4.0F, new CubeDeformation(0.0F)).texOffs(23, 8)
						.addBox(-2.0F, -8.0F, -11.5F, 4.0F, 3.0F, 7.0F, new CubeDeformation(0.0F)).texOffs(10, 30).addBox(0.8F, -17.5F, -2.0F, 4.0F, 1.0F, 1.0F, new CubeDeformation(0.0F)).texOffs(18, 19)
						.addBox(-1.6F, -18.0F, -8.5F, 3.0F, 3.0F, 8.0F, new CubeDeformation(0.0F)).texOffs(37, 0).addBox(-5.0F, -17.5F, -2.0F, 6.0F, 1.0F, 1.0F, new CubeDeformation(0.0F)),
				PartPose.offset(0.0F, 24.0F, 0.0F));
		PartDefinition cube_r1 = bb_main.addOrReplaceChild("cube_r1",
				CubeListBuilder.create().texOffs(0, 0).addBox(-6.0F, -6.3F, 8.2F, 2.0F, 1.0F, 1.0F, new CubeDeformation(0.0F)).texOffs(37, 2).addBox(-10.0F, -6.3F, 7.2F, 6.0F, 1.0F, 1.0F, new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(12.0F, -18.2F, -8.8F, 0.0F, 0.0F, -0.6545F));
		PartDefinition cube_r2 = bb_main.addOrReplaceChild("cube_r2",
				CubeListBuilder.create().texOffs(0, 2).addBox(-1.0F, -6.0F, 5.0F, 2.0F, 1.0F, 1.0F, new CubeDeformation(0.0F)).texOffs(32, 25).addBox(-1.0F, -6.0F, 4.0F, 6.0F, 1.0F, 1.0F, new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-8.0F, -15.5F, -5.6F, 0.0F, 0.0F, 0.6545F));
		PartDefinition cube_r3 = bb_main.addOrReplaceChild("cube_r3", CubeListBuilder.create().texOffs(32, 30).addBox(-1.0F, -12.0F, -1.0F, 2.0F, 7.0F, 5.0F, new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, -3.5F, -6.5F, -0.0873F, 0.0F, 0.0F));
		return LayerDefinition.create(meshdefinition, 64, 64);
	}

	@Override
	public void renderToBuffer(PoseStack poseStack, VertexConsumer vertexConsumer, int packedLight, int packedOverlay, float red, float green, float blue, float alpha) {
		bb_main.render(poseStack, vertexConsumer, packedLight, packedOverlay, red, green, blue, alpha);
	}

	public void setupAnim(T entity, float limbSwing, float limbSwingAmount, float ageInTicks, float netHeadYaw, float headPitch) {
	}
}
